Skip to main content
GET
List transactions by account

Authorizations

Authorization
string
header
required

To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request: -H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

user_identifier
string
required

Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You​.

account_guid
string
required

The unique id for an account.

Query Parameters

page
integer

Results are paginated. Specify current page.

records_per_page
integer

This specifies the number of records to be returned on each page. Defaults to 25. The valid range is from 10 to 1000. If the value exceeds 1000, the default value of 25 will be used instead.

from_date
string

Filter transactions from this date. This only supports unix timestamp format. Defaults to 120 days ago if not provided.

to_date
string

Filter transactions to this date (at midnight). This only supports unix timestamp format. Defaults to 5 days forward from the day the request is made to capture pending transactions.

from_created_at
string

Filter transactions from the date the transaction was created. This only supports unix timestamp format.

to_created_at
string

Filter transaction to the date in which the transaction was created. This only supports unix timestamp format.

from_updated_at
string

Filter transactions from the date in which the transaction was updated. This only supports unix timestamp format.

to_updated_at
string

Filter transactions to the date in which the transaction was updated. This only supports unix timestamp format.

includes
string

Options for enhanced transactions. This query parameter is optional. Possible additional metadata: repeating_transactions, merchants, classifications, geolocations. The query value is format sensitive. To retrieve all available enhancements, append:

?includes=repeating_transactions,merchants,classifications,geolocations.

The query options may be combined to specific enhancements. For example, to request Repeating Transactions and Geolocation data, use:

?includes=repeating_transactions,geolocations.

  • Repeating Transactions: Identifies transactions with predictable recurrence patterns (e.g., Bill, Income, Subscription).
  • Merchants: Enriches transactions with merchant name.
  • Classifications: Provides more insight into the type of money movement that is occurring on the transaction, whether it be retail or investments.
  • Geolocation: Provides geographic metadata.

Response

200 - application/json

OK

transactions
object[]
pagination
object